%save data04 u_eps LGDP_eps LC_eps Lw_eps LL_eps PHI_eps

% this code plots the figure. it uses the data saved from dynare. First,
% change the write_dynare.m file ligne 387.
clc;clear 
close all
%%
load tofigaggreal ut_eps GDPt_eps Ct_eps wt_eps rt_eps Tt_eps Kt_eps tk_eps tl_eps mut_eps Bt_eps

u1   = ut_eps;
GDP1 = GDPt_eps;
C1   = Ct_eps;
w1   = wt_eps;
r1   = rt_eps;
T1   = Tt_eps;
K1   = Kt_eps;
tk1  = tk_eps;
tl1  = tl_eps;
mu1  = mut_eps;
B1   = Bt_eps;


load tofigaggnk ut_eps GDPt_eps Ct_eps wt_eps rt_eps Tt_eps Kt_eps PIt_eps tk_eps tl_eps mut_eps Bt_eps

u2   = ut_eps;
GDP2 = GDPt_eps;
C2   = Ct_eps;
w2   = wt_eps;
r2   = rt_eps;
T2   = Tt_eps;
K2   = Kt_eps;
tk2  = tk_eps;
tl2  = tl_eps;
mu2  = mut_eps;
B2   = Bt_eps;
PI2  = PIt_eps;



LL = 100;%length(u1);%length(B_eps);

%

X=1:1:LL;

figure(1);
 
subplot(4,3,1);
plot(X,-u1(1:LL),'k-','LineWidth',1.5);
title('1. $Z$','Interpreter','latex');
%ylim([-1.2 0]);

subplot(4,3,2);
plot(X,C1(1:LL),'k-',X,C2(1:LL),'b--','LineWidth',1.5);
title('2. $C$','Interpreter','latex');
%ylim([0. .2]);

subplot(4,3,3);
plot(X,K1(1:LL),'k-',X,K2(1:LL),'b--','LineWidth',1.5);
title('3. $K$','Interpreter','latex');
%ylim([-2 1]);
    
subplot(4,3,4);
plot(X,GDP1(1:LL),'k-',X,GDP2(1:LL),'b--','LineWidth',1.5);
title('4. $Y$','Interpreter','latex');
%ylim([0. .3]);


subplot(4,3,5);
plot(X,w1(1:LL),'k-',X,w2(1:LL),'b--','LineWidth',1.5);
title('5. $w$','Interpreter','latex');
%ylim([-2 1]);

subplot(4,3,6);
plot(X,r1(1:LL),'k-',X,r2(1:LL),'b--','LineWidth',1.5);
title('6. $r$','Interpreter','latex');
%ylim([0 6]);

subplot(4,3,7);
plot(X,T1(1:LL),'k-',X,T2(1:LL),'b--','LineWidth',1.5);
title('7. $T$','Interpreter','latex');

subplot(4,3,8);
plot(X,tk1(1:LL),'k-',X,tk2(1:LL),'b--','LineWidth',1.5);
title('8. $\tau^{K}$','Interpreter','latex');
legend('CM','IM(full)')
legend boxoff 
%ylim([0 6]);

subplot(4,3,9);
plot(X,tl1(1:LL),'k-',X,tl2(1:LL),'b--','LineWidth',1.5);
title('9. $\tau^{L}$','Interpreter','latex');
ylim([0 1]);

subplot(4,3,10);
plot(X,mu1(1:LL),'k-',X,mu2(1:LL),'b--','LineWidth',1.5);
title('10. $\mu$','Interpreter','latex');
%ylim([-2 1]);

subplot(4,3,11);
plot(X,B1(1:LL),'k-',X,B2(1:LL),'b--','LineWidth',1.5);
title('11. $B$','Interpreter','latex');
ylim([-1 2]);

subplot(4,3,12);
plot(X,PI2(1:LL),'b--','LineWidth',1.5);
title('12.  $\pi$','Interpreter','latex');



%%      figure RA vs real
load tofigaggRA ut_eps GDPt_eps Ct_eps wt_eps rt_eps Kt_eps tk_eps tl_eps mut_eps Bt_eps

u1   = ut_eps;
GDP1 = GDPt_eps;
C1   = Ct_eps;
w1   = wt_eps;
r1   = rt_eps;
T1   = 0*rt_eps;
K1   = Kt_eps;
tk1  = tk_eps;
tl1  = tl_eps;
mu1  = mut_eps;
B1   = Bt_eps;
PI1  = PIt_eps;


load tofigaggreal ut_eps GDPt_eps Ct_eps wt_eps rt_eps Tt_eps Kt_eps tk_eps tl_eps mut_eps Bt_eps

u2   = ut_eps;
GDP2 = GDPt_eps;
C2   = Ct_eps;
w2   = wt_eps;
r2   = rt_eps;
T2   = Tt_eps;
K2   = Kt_eps;
tk2  = tk_eps;
tl2  = tl_eps;
mu2  = mut_eps;
B2   = Bt_eps;

%%

X=1:1:LL;

figure(2);
 
subplot(4,3,1);
plot(X,-u1(1:LL),'k-','LineWidth',1.5);
title('1.  $Z$','Interpreter','latex');
%ylim([-1.2 0]);

subplot(4,3,2);
plot(X,C1(1:LL),'r--',X,C2(1:LL),'k-','LineWidth',1.5);
title('2.  $C$','Interpreter','latex');
%ylim([0. .2]);

subplot(4,3,3);
plot(X,K1(1:LL),'r--',X,K2(1:LL),'k-','LineWidth',1.5);
title('3.  $K$','Interpreter','latex');
%ylim([-2 1]);

subplot(4,3,4);
plot(X,GDP1(1:LL),'r--',X,GDP2(1:LL),'k-','LineWidth',1.5);
title('4.  $Y$','Interpreter','latex');
%ylim([0. .3]);


subplot(4,3,5);
plot(X,w1(1:LL),'r--',X,w2(1:LL),'k-','LineWidth',1.5);
title('5.  $w$','Interpreter','latex');
%ylim([-2 1]);

subplot(4,3,6);
plot(X,r1(1:LL),'r--',X,r2(1:LL),'k-','LineWidth',1.5);
title('6.  $r$','Interpreter','latex');
%ylim([0 6]);

subplot(4,3,7);
plot(X,T1(1:LL),'r--',X,T2(1:LL),'k-','LineWidth',1.5);
title('7.  $T$','Interpreter','latex');

subplot(4,3,8);
plot(X,tk1(1:LL),'r--',X,tk2(1:LL),'k-','LineWidth',1.5);
title('8.  $\tau^{K}$','Interpreter','latex');
legend('CM','IM(full)')
legend boxoff 
%ylim([0 6]);

subplot(4,3,9);
plot(X,tl1(1:LL),'r--',X,tl2(1:LL),'k-','LineWidth',1.5);
title('9.  $\tau^{L}$','Interpreter','latex');
ylim([0 1]);

subplot(4,3,10);
plot(X,mu1(1:LL),'r--',X,mu2(1:LL),'k-','LineWidth',1.5);
title('10.  $\mu$','Interpreter','latex');
%ylim([-2 1]);

subplot(4,3,11);
plot(X,-B1(1:LL),'r--',X,B2(1:LL),'k-','LineWidth',1.5);
title('11.  $B$','Interpreter','latex');
ylim([-1 2]);

subplot(4,3,12);
plot(X,0*PI2(1:LL),'k-','LineWidth',1.5);
title('12.  $\pi$','Interpreter','latex');

% 
% %%  Only figure full
% 
% load tofigaggreal ut_eps GDPt_eps Ct_eps wt_eps rt_eps Tt_eps Kt_eps tk_eps tl_eps mut_eps Bt_eps
% 
% u1   = ut_eps;
% GDP1 = GDPt_eps;
% C1   = Ct_eps;
% w1   = wt_eps;
% r1   = rt_eps;
% T1   = Tt_eps;
% K1   = Kt_eps;
% tk1  = tk_eps;
% tl1  = tl_eps;
% mu1  = mut_eps;
% B1   = Bt_eps;
% 
% 
% load tofigaggint ut_eps GDPt_eps Ct_eps wt_eps rt_eps Tt_eps Kt_eps PIt_eps tk_eps tl_eps mut_eps Bt_eps RBN_eps
% 
% u2   = ut_eps*0;
% GDP2 = GDPt_eps*0;
% C2   = Ct_eps*0;
% w2   = wt_eps*0;
% r2   = rt_eps*0;
% T2   = Tt_eps*0;
% K2   = Kt_eps*0;
% tk2  = tk_eps*0;
% tl2  = tl_eps*0;
% mu2  = mut_eps*0;
% B2   = Bt_eps*0;
% PI2  = PIt_eps*0;
% 
% 
% X=1:1:LL;
% 
% figure(3);
%  
% subplot(4,3,1);
% plot(X,-u1(1:LL),'k-');
% title('1. Z');
% %ylim([-1.2 0]);
% 
% subplot(4,3,2);
% plot(X,C1(1:LL),'k-');
% title('2. C');
% %ylim([0. .2]);
% 
% subplot(4,3,3);
% plot(X,K1(1:LL),'k-');
% title('3. K');
% %ylim([-2 1]);
% 
% subplot(4,3,4);
% plot(X,GDP1(1:LL),'k-');
% title('4. Y');
% %ylim([0. .3]);
% legend('Full')
% legend boxoff 
% 
% subplot(4,3,5);
% plot(X,w1(1:LL),'k-');
% title('5. w');
% %ylim([-2 1]);
% 
% subplot(4,3,6);
% plot(X,r1(1:LL),'k-');
% title('6. r');
% %ylim([0 6]);
% 
% subplot(4,3,7);
% plot(X,T1(1:LL),'k-');
% title('7. T');
% 
% subplot(4,3,8);
% plot(X,tk1(1:LL),'k-');
% title('8. tauk');
% %ylim([0 6]);
% 
% subplot(4,3,9);
% plot(X,tl1(1:LL),'k-');
% title('9. taul');
% ylim([0 1]);
% 
% % subplot(4,3,10);
% % plot(X,mu1(1:LL),'k-',X,mu2(1:LL),'b--');
% % title('10. mu');
% %ylim([-2 1]);
% 
% subplot(4,3,10);
% plot(X,100*mu1(1:LL),'k-');
% title('10. mu');
% %ylim([-2 1]);
% 
% 
% subplot(4,3,11);
% plot(X,B1(1:LL),'k-');
% title('11. B');
% ylim([0 2]);
% 
% subplot(4,3,12);
% plot(X,PI2(1:LL),'k-');
% title('12. PI');
% ylim([-1 1]);
% 
% 
% %%   only   figure RA
% load tofigaggRA ut_eps GDPt_eps Ct_eps wt_eps rt_eps Kt_eps tk_eps tl_eps mut_eps Bt_eps
% 
% u1   = ut_eps;
% GDP1 = GDPt_eps;
% C1   = Ct_eps;
% w1   = wt_eps;
% r1   = rt_eps;
% T1   = 0*rt_eps;
% K1   = Kt_eps;
% tk1  = tk_eps;
% tl1  = tl_eps;
% mu1  = mut_eps;
% B1   = Bt_eps;
% PI1  = PIt_eps;
% 
% %%
% 
% X=1:1:LL;
% 
% figure(4);
%  
% subplot(4,3,1);
% plot(X,-u1(1:LL),'k-');
% title('1. Z');
% %ylim([-1.2 0]);
% 
% subplot(4,3,2);
% plot(X,C1(1:LL),'k-');
% title('2. C');
% %ylim([0. .2]);
% 
% subplot(4,3,3);
% plot(X,K1(1:LL),'k-');
% title('3. K');
% %ylim([-2 1]);
% 
% subplot(4,3,4);
% plot(X,GDP1(1:LL),'k-');
% title('4. Y');
% %ylim([0. .3]);
% legend('CM')
% legend boxoff 
% 
% subplot(4,3,5);
% plot(X,w1(1:LL),'k-');
% title('5. w');
% %ylim([-2 1]);
% 
% subplot(4,3,6);
% plot(X,r1(1:LL),'k-');
% title('6. r');
% %ylim([0 6]);
% 
% subplot(4,3,7);
% plot(X,T1(1:LL),'k-');
% title('7. T');
% 
% subplot(4,3,8);
% plot(X,tk1(1:LL),'k-');
% title('8. tauk');
% %ylim([0 6]);
% 
% subplot(4,3,9);
% plot(X,tl1(1:LL),'k-');
% title('9. taul');
% ylim([0 1]);
% 
% subplot(4,3,10);
% plot(X,mu1(1:LL),'k-');
% title('10. mu');
% %ylim([-2 1]);
% 
% subplot(4,3,11);
% plot(X,-B1(1:LL),'k-');
% title('11. B');
% ylim([-2 2]);
% 
% subplot(4,3,12);
% plot(X,0*PI2(1:LL),'k-');
% title('12. PI');


%% Saving figures

saveas(figure(1),'../figtk.png')
saveas(figure(2),'../figIMCM.png')
% saveas(figure(3),'../figIM.png')
% saveas(figure(4),'../figCM.png')